import { Injectable } from '@nestjs/common';
import { Action, ContextItem, Domain } from '../../domain/authorization.types';

@Injectable()
export abstract class DecisionMakerPort {
  abstract decide(
    domain: Domain,
    action: Action,
    context: ContextItem[],
  ): Promise<boolean>;
}
